Commit 1013dfec authored by Gert Wollny's avatar Gert Wollny

mesa/main/version: Lower the requirements for GLES 3.0

GLES 3.0 does not actually require support for EXT_framebuffer_sRGB, it
only needs support for sRGB attachments to framebuffers and framebuffer
objects as defined in ARB_framebuffer_objects.

v2: Clarify that ARB_framebuffer_objects is needed.
Signed-off-by: Gert Wollny's avatarGert Wollny <gert.wollny@collabora.com>
Reviewed-by: default avatarMarek Olšák <marek.olsak@amd.com>
parent 76c3f6fb
......@@ -514,8 +514,8 @@ compute_version_es2(const struct gl_extensions *extensions,
extensions->OES_texture_half_float_linear &&
extensions->ARB_texture_rg &&
extensions->ARB_depth_buffer_float &&
/* extensions->ARB_framebuffer_object && */
extensions->EXT_framebuffer_sRGB &&
extensions->ARB_framebuffer_object &&
extensions->EXT_sRGB &&
extensions->EXT_packed_float &&
extensions->EXT_texture_array &&
extensions->EXT_texture_shared_exponent &&
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment